# eqx
This repository contains an archive of crufty scriptlets to deploy servers
on Equinix's bare metal network.

## Token
export PACKET_TOKEN=AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA


Or


cat $HOME/.packet-cli.json


{
  "token": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
}



## Dependencies
apt install jq

git clone https://github.com/packethost/packet-cli

mkdir -p ~/bin
wget -O ~/bin/packet https://github.com/packethost/packet-cli/releases/download/0.1.1/packet-linux-amd64
chmod +x ~/bin/packet

##
Configure server at Equinix, set "iPXE Script URL" to:

https://code.forksand.com/forksand/eqx/raw/branch/master/ipxe-install-debian-10

# Preseed
The key installation file is `preseed.cfg`. Debian has a list of options here:

* https://preseed.debian.net/debian-preseed/

Other `preseed.cfg` docs:

* https://wiki.debian.org/DebianInstaller/Preseed

* https://www.debian.org/releases/stable/amd64/apb.en.html

* https://www.debian.org/releases/buster/amd64/apbs02.en.html

## Nodes to Build

* Standard Debian 10

* Standard Debian 11

* Standard Debian Sid

* Ethereum cluster

* Distcc cluster

* IPFS Cluster

